using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Diagnostics;
using System.Windows.Forms;

namespace HTML_Source_Code_Viewer_VB
{
	public partial class frmSourceCode
	{
		internal frmSourceCode()
		{
			InitializeComponent();
		}
		private void btnViewSource_Click(object sender, System.EventArgs e)
		{
			btnViewSource.Enabled = false;

			System.Net.WebClient WebStream = null;
            System.IO.Stream SourceCodeStream;
			WebStream = new System.Net.WebClient();
            try{
			    SourceCodeStream = WebStream.OpenRead(txtURL.Text);
                System.IO.StreamReader objReader = new System.IO.StreamReader(SourceCodeStream);
                txtSource.Text = objReader.ReadToEnd();
            } catch (Exception ex){
               MessageBox.Show("Invalid URL" + System.Environment.NewLine + "The file you are looking for cannot be found.", "Invalid URL", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
			btnViewSource.Enabled = true;

		}
	}

} 